Subject: [build failure] xemacs-21.5-b11 on Win2000+Cygwin
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Tue, 04 Mar 2003 14:33:33 -0500

I first sent this to the Xemacs lists, where I didn't get any response.
The error is so totally disastrous that a release should not have 
happened if this bites every Cygwin installation.

Which makes me suspect my Cygwin is broken.

How can I tell?  Specifically, how do I tell what the configure proc was 
trying to do when it got an error compiling "junk.c"

Sitting around waiting out the blizzard, I figured it would be a good 
time to see about compiling Xemacs-21.5-b11.

Starting with what should have been a simple build . . .

+ make clean
make: *** No rule to make target `clean'.  Stop.
+ ../configure i686-pc-cygwin --compiler=gcc --without-x --extra-verbose 
--with-site-lisp=yes --package-path=/usr/local/lib/xemacs/ --with-pop 
--debug --error-checking=all
    Defining PACKAGE_PATH_USER_DEFINED
checking whether ln -s works... yes
    Defining EMACS_MAJOR_VERSION = 21
    Defining EMACS_MINOR_VERSION = 5
    Defining EMACS_BETA_VERSION = 11
    Defining XEMACS_CODENAME = "cabbage"

One small surprise is the following early error message in sysout 
(rather than configure.log) . . .
checking for GNU libc... no
Extracting information from the machine- and system-dependent headers...
conftest.c:44: parse error before `=' token
    Defining SYSTEM_TYPE = "cygwin_nt-5.0"
libs_machine = ''

The configure ends horribly with:

    Appending "Makefile.in" to $ac_output_files
    Appending "lib-src/Makefile.in" to $ac_output_files
    Appending "src/Makefile.in:src/Makefile.in.in:src/depend" to 
$ac_output_files
creating ./config.status
creating Makefile.in
creating lib-src/Makefile.in
creating src/Makefile.in
creating src/paths.h
creating lib-src/config.values
creating src/config.h
creating lwlib/config.h
lwlib/config.h is unchanged
creating ./Makefile
junk.c:19: parse error before string constant 
<================================
creating ./GNUmakefile
junk.c:16: parse error before string constant
creating lib-src/Makefile
junk.c:7: parse error before string constant
creating lib-src/GNUmakefile
junk.c:7: parse error before string constant
creating src/Makefile
junk.c:7: parse error before string constant
creating src/GNUmakefile
junk.c:7: parse error before string constant

And all of ./Makefile & ./GNUmakefile are empty. (0 bytes)

<system-info>
HOST=i686 MSWin2000Pro Cygwin . . .
    Cygwin DLL version info:
        DLL version: 1.3.20
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 73
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Sat Feb 8 12:10:49 EST 2003
        Shared id: cygwin1S3

bash-2.05b $ gcc --version
gcc (GCC) 3.2 20020927 (prerelease)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

bash-2.05b $
</system-info>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- 
The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/